#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf libpng-1.2.35.tar.bz2
    cd libpng-1.2.35
    ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	    --disable-static --without-libpng-compat
    make
    strip -R .note -R .comment .libs/libpng12.so.0
    mkdir -p ../libpng12-0/lib
    cp .libs/libpng12.so.0 ../libpng12-0/lib/
    cd ..
    rm -rf libpng-1.2.35
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
